import { Comparator } from "../@interfaces/Comparator";
export declare class EngineArray<T> extends Array<T> {
    constructor();
    insert(index: number, item: T): void;
    removeIndex(index: number): void;
    removeValue(item: T): boolean;
    first(): T | null;
    sortItems(comparator: Comparator<T>): this;
}
