import { EngineObject } from "../@interfaces/EngineObject";
export declare type ComponentClass = new (...args: any[]) => Component;
export declare abstract class Component implements EngineObject {
    private readonly _componentClass;
    name: string;
    constructor(_componentClass: ComponentClass);
    getClass(): ComponentClass;
    toString(): string;
    hashCode(): number;
    equals(object: EngineObject): boolean;
}
