import { SystemListener } from "../@interfaces/Systemlisteners";
import { ImmutableArray } from "../utils/ImmutableArray";
import { EntitySystem } from "./EntitySystem";
export declare class SystemManager {
    private systemComparator;
    private systems;
    private immutableSystems;
    private systemsByClass;
    private listener;
    constructor(listener: SystemListener);
    addSystem(system: EntitySystem): void;
    removeSystem(system: EntitySystem): void;
    removeAllSystems(): void;
    getSystem<T extends EntitySystem>(systemType: typeof EntitySystem): EntitySystem;
    getSystems(): ImmutableArray<EntitySystem>;
}
